Skip to main content
PUT
Update a model account credential

Authorizations

factorize_session
string
cookie
required

Path Parameters

accountId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
expectedRevision
integer
required
Required range: 0 <= x <= 9007199254740991
idempotencyKey
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
Required string length: 1 - 120
description
string | null
required
Maximum string length: 500
providerUrl
string<uri>
required
Maximum string length: 2048
apiKey
string | null
Required string length: 1 - 32768
Pattern: ^[^\r\n]+$
contextWindow
integer
default:128000
Required range: 1024 <= x <= 2000000
maxTokens
integer
default:8192
Required range: 1 <= x <= 200000

Response

Model account updated

revision
integer
required
Required range: 0 <= x <= 9007199254740991
duplicate
boolean
required